All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.storedprocess
Class WebDAVPackagePRResultHints

    com.sas.services.storedprocess.WebDAVPackagePRResultHints

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Deprecated.

    @Deprecated
    public class WebDAVPackagePRResultHints

This ResultHints sub-class specfies hints for the RESULT_TYPE_PERMANENT_WEBDAV_PACKAGE result type and subtype ResultHints.HINT_SUBTYPE_WEBDAV_USER_PR. This hint allows the specification of any collection (relative to the Personal Repository) as the location for the package. While the destination collection need not exist, any intermediate collection must exist.

Since:
  1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.storedprocess.ResultHints
`HINT_SUBTYPE_NA, HINT_SUBTYPE_SET, HINT_SUBTYPE_WEBDAV_DAVSERVER, HINT_SUBTYPE_WEBDAV_URL, HINT_SUBTYPE_WEBDAV_USER_PR`

Method Summary
`java.lang.String` | `getCollectionInPR()` Deprecated. Gets the package collection path relative to the MyResults folder of the Personal Repository.
`void` | `setCollectionInPR(java.lang.String collectionInPR)` Deprecated. Sets the package collection path relative to the MyResults folder of the Personal Repository.

Methods inherited from class com.sas.services.storedprocess.ResultHints
`clone, getResultLocation, isLifecycleBound, isNewInstanceCreated, setLifecycleBound, setNewInstanceCreated`

Method Detail

### setCollectionInPR

    public void setCollectionInPR(java.lang.String collectionInPR)

  Deprecated.
  Sets the package collection path relative to the MyResults folder of the Personal Repository. If a new instance is to be created this is the path to the collection which will contain the newly created collection.

  Parameters:
    `collectionInPR` - the path of the package collection relative to the Personal Repository. null is a valid argument only if a new instance is to be created.

### getCollectionInPR

    public java.lang.String getCollectionInPR()

  Deprecated.
  Gets the package collection path relative to the MyResults folder of the Personal Repository. If a new instance is to be created this is the path to the collection which will contain the newly created collection.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.